[sip-comm-dev] Fwd: SIP Communicator the only show in town for VOIP in Linu


#1

Amazing! He appears to be referring to my support request here: http://ubuntuforums.org/showthread.php?t=1408679 . I tried it and said it was pretty good. Better be nice to me. :slight_smile:

As it turns out, after a very large amount of effort, besides SIP Communicator I have only gotten one other SIP program to work reliably. I do still have some minor problems with SIP Communicator, but it looks like it is going to work nicely.

He's recommending this program for Ubuntu, and that's why I think you might want to pay attention to a couple of installation problems I mentioned here: https://sip-communicator.dev.java.net/servlets/ReadMsg?list=dev&msgNo=8063 .

路路路

_________________________________________________________________
Hotmail: Free, trusted and rich email service.
http://clk.atdmt.com/GBL/go/201469228/direct/01/


#2

Hello Abig,

Amazing! He appears to be referring to my support request here:
http://ubuntuforums.org/showthread.php?t=1408679 . I tried it and said
it was pretty good. Better be nice to me. :slight_smile:

Cool, thanks for the nice words.

As it turns out, after a very large amount of effort, besides SIP
Communicator I have only gotten one other SIP program to work reliably.
I do still have some minor problems with SIP Communicator, but it looks
like it is going to work nicely.

It certainly will!

He's recommending this program for Ubuntu, and that's why I think you
might want to pay attention to a couple of installation problems I
mentioned here:
https://sip-communicator.dev.java.net/servlets/ReadMsg?list=dev&msgNo=8063 .

If you've not done so yet, you can install the "sip-communicator-keyring" package containing the public key of our download server. This key is used by apt to authenticate our server (checking it's the one it claims to be). I believe this covers your first point.

For your second point, we'll need more information to go through it. What packages are in conflicts? Can you check /var/log/aptitude and /var/log/apt/term.log files for details and report back to this mailing list?

Cheers,
Martin

路路路

On 02/24/2010 09:35 AM, Abig Lizard wrote:

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#3

Hi,

> If you've not done so yet, you can install the
> "sip-communicator-keyring" package containing the public key of our
> download server. This key is used by apt to authenticate our server
> (checking it's the one it claims to be). I believe this covers your
> first point.

It was installed. Following instructions here:
http://www.sip-communicator.org/index.php/Main/DebianRepository gives a
warning:

W: GPG error: http://download.sip-communicator.org unstable/ Release:
The following signatures couldn't be verified because the public key is
not available: NO_PUBKEY C697D823EB0AB654

Now if you update your package list (with "apt-get update" or equivalent) the warning should be gone. The first update will always show a warning message, because sip-communicator-keyring is not yet installed.

Actually, the first time I did this I used the software-properties-gtk
application (which adds an entry to sources.list) instead of editing the
file directly. This gives a very prominent warning. I can give a
complete output of the installation if you want.

> For your second point, we'll need more information to go through it.
> What packages are in conflicts? Can you check /var/log/aptitude and
> /var/log/apt/term.log files for details and report back to this mailing
> list?

Log attached. I trimmed it down to the relevant sections. It's a mess,
but I don't think that's because of the text editor.

Here is the error I found in you log file.

dpkg: error processing sun-java6-jre (--remove):
聽聽Package is in a very bad inconsistent state - you should
聽聽reinstall it before attempting a removal.
Errors were encountered while processing:
聽聽sun-java6-jre

There is nothing we can do about this error, we are not responsible for the packaging of sun-java6-jre. If sun-java6-jre has a packaging problem on Ubuntu, you may want to report it to Ubuntu folks.

I installed this on another computer. This time I installed
sun-java6-jre and sun-java6-bin before, and avoided problems. There's
nothing about this in the instructions, but it seems to be required. You
would have thought that these packages would be on Ubuntu by default,
but no they aren't.

All missing dependencies will automatically be installed if they are not found on your computer. Thus, you don't need to manually install sun-java6-jre before installing sip-communicator.

Here are the dependencies of sip-communcator (as listed by "aptitude show -D sip-communicator"): sun-java6-jre | openjdk-6-jre, libxalan2-java, alsa-oss.
If no JRE is found, sun-java6-jre is prefered over openjdk-6-jre (we could change that behaviour).

Martin

路路路

On 03/04/2010 02:11 PM, Vanilla Mozilla wrote:

Thanks very much. I very much appreciate this program.

------------------------------------------------------------------------
Hotmail: Trusted email with powerful SPAM protection. Sign up now.
<http://clk.atdmt.com/GBL/go/201469227/direct/01/>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#4

Date: Thu, 4 Mar 2010 15:20:18 +0900
From: mandre@dev.java.net

Here is the error I found in you log file.

dpkg: error processing sun-java6-jre (--remove):
聽聽Package is in a very bad inconsistent state - you should
聽聽reinstall it before attempting a removal.
Errors were encountered while processing:
聽聽sun-java6-jre

There is nothing we can do about this error, we are not responsible for
the packaging of sun-java6-jre. If sun-java6-jre has a packaging problem
on Ubuntu, you may want to report it to Ubuntu folks.

You're probably right. I did not reproduce it on two other computers, although the JRE varies by computer, and it's hard to recreate the state. I'm just going to call it a glitch. Sorry for the inconvenience.

路路路

_________________________________________________________________
Hotmail: Free, trusted and rich email service.
http://clk.atdmt.com/GBL/go/201469228/direct/01/